「Bash」のバグのことですが…

Linux Mintの技術的でない質問

「Bash」のバグのことですが…

投稿記事by 梅っQ » 2014年9月26日(金) 21:15

先ほどロイターで「UNIX系のソフト「bash」に重大バグ、システム乗っ取りも」

http://jp.reuters.com/article/marketsNe ... 3320140925

の記事を見たのですが、Unix系のOSで広く使われているとの事で、Linuxmintでも事象の対象になっているのでしょうか?

本家フォーラムを見ても、情報が錯綜しているようで(語学力がないので、機械翻訳で、そう見えてしまったので…すみません)、この件に関してのアップデートが行われているのか分かりません。

また、現時点での脆弱性の有無を調べる方法や対策について、どちらか御教授頂けないでしょうか?

因みにLinuxmint17 MATE 32Bitを使用しています。

お手数をお掛けいたしますが、宜しくお願い致します。
Linux mint 17 MATE -32bit-
aro-system LesansDT
Celeron D 2GB
梅っQ
前相撲
 
記事: 7
登録日時: 2014年8月14日(木) 22:29
お住まい: 山口県

Re: 「Bash」のバグのことですが…

投稿記事by はっくん » 2014年9月27日(土) 04:51

私も詳しくはないのですが,
コード: 全て選択
env x='() { :;}; echo vulnerable' bash -c "echo this is a test"
を実行して"vulnerable"が表示されなければ大丈夫だそうです.
Linux Mint 17.3 Cinnamon 64-bit
Cinnamon Version 2.8.6
Linux Kernel 3.19.0-32-generic
Core2 Quad Q9550
NAVIDIA GeForce GT710[PCI-Express 2.0(x16)]
NAVIDIA GeForce GT610[PCI-Express 2.0(x1)]刺さっているだけ
はっくん
幕下
 
記事: 95
登録日時: 2013年11月06日(水) 22:44

Re: 「Bash」のバグのことですが…

投稿記事by 梅っQ » 2014年9月27日(土) 05:53

はっくんさん、早速の返信有難うございます。

教えて頂いたコマンドを実行した所、


bash: 警告: x: ignoring function definition attempt
bash: `x' の関数定義をインポート中にエラーが発生しました
this is a test

となり、"vulnerable"は表示されませんでした。

御教授、有難うございました。
Linux mint 17 MATE -32bit-
aro-system LesansDT
Celeron D 2GB
梅っQ
前相撲
 
記事: 7
登録日時: 2014年8月14日(木) 22:29
お住まい: 山口県

Re: 「Bash」のバグのことですが…

投稿記事by fu-sen » 2014年9月28日(日) 10:39

Linux Mint は 17・13 が Ubuntu パッケージ、
Debian Edition は Debian パッケージを反映します。

そのうち Ubuntu パッケージは bash の更新を確認しました。
Debian も間もなく更新されると思います。

アップデートマネージャ等からパッケージ更新を行っていれば、
とりあえずこの辺は心配要りません。
安心してご利用を続けて下さい。 :D
fu-sen
関脇
 
記事: 364
登録日時: 2014年3月06日(木) 17:40

Re: 「Bash」のバグのことですが…

投稿記事by 梅っQ » 2014年9月28日(日) 19:18

ふうせんさん、有難うございます。

アップデートマネージャーの履歴から、更新されていることを確認しました。

これで一安心です :D

御教授有難うございました。
Linux mint 17 MATE -32bit-
aro-system LesansDT
Celeron D 2GB
梅っQ
前相撲
 
記事: 7
登録日時: 2014年8月14日(木) 22:29
お住まい: 山口県

Re: 「Bash」のバグのことですが…

投稿記事by fu-sen » 2014年10月03日(金) 13:40

Debian Edition の対応がなぜか遅れていたのですが、こちらも bash の更新を確認しました。
これで Linux Mint はアップデートマネージャなどでパッケージを最新にしてあれば、
問題のある bash は更新されます。安心してご利用下さい。 :D
対応済みかどうか気になる場合は、はっくんさん(?) が記載しているコードでご確認下さい。

なお、パッケージは 17・13・Debian Edition が更新されています。(投稿=2014/10 時点)
これ以外のバージョンは期限切れのため更新が行われていません。
もし、まだ他のバージョンを使っていましたら、お早めに 17 などへ更新して下さい。
fu-sen
関脇
 
記事: 364
登録日時: 2014年3月06日(木) 17:40

Re: 「Bash」のバグのことですが…

投稿記事by 梅っQ » 2014年10月05日(日) 08:54

fu-senさん、情報有難うございますm(__)m

実は毎日読んでいるブログhttp://oka-jp.seesaa.net/article/406073759.htmlで、今回のセキュリティーホールの件を知り、そこではMac OSXでのコードしかなかったので、同じUNIX系のOSなので、試せるかなとは思ったものの、それで出た結果を当てにして良いものか判断しきれないでいました。

事が事だけに、初心者が迂闊な判断をするより、皆さんに御教授していただければと思った次第です。

はっくんさん、fu-senさん、有難うございました。
Linux mint 17 MATE -32bit-
aro-system LesansDT
Celeron D 2GB
梅っQ
前相撲
 
記事: 7
登録日時: 2014年8月14日(木) 22:29
お住まい: 山口県


Return to 技術的でない質問

オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[1人]